"""empty message

Revision ID: 06af18aadcd7
Revises: 7128f1b89384
Create Date: 2023-06-14 03:53:06.995659

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '06af18aadcd7'
down_revision = '7128f1b89384'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bank_detail', schema=None) as batch_op:
        batch_op.alter_column('month',
               existing_type=sa.VARCHAR(length=50),
               type_=sa.String(length=16),
               existing_nullable=True)

    with op.batch_alter_table('bank_transaction', schema=None) as batch_op:
        batch_op.alter_column('posting_date',
               existing_type=sa.DATE(),
               type_=sa.String(length=16),
               existing_nullable=True)
        batch_op.alter_column('value_date',
               existing_type=sa.DATE(),
               type_=sa.String(length=16),
               existing_nullable=True)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bank_transaction', schema=None) as batch_op:
        batch_op.alter_column('value_date',
               existing_type=sa.String(length=16),
               type_=sa.DATE(),
               existing_nullable=True)
        batch_op.alter_column('posting_date',
               existing_type=sa.String(length=16),
               type_=sa.DATE(),
               existing_nullable=True)

    with op.batch_alter_table('bank_detail', schema=None) as batch_op:
        batch_op.alter_column('month',
               existing_type=sa.String(length=16),
               type_=sa.VARCHAR(length=50),
               existing_nullable=True)

    # ### end Alembic commands ###
